package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussMerchantImage;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface TbPlussMerchantImageMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussMerchantImage record);

    int insertSelective(TbPlussMerchantImage record);

    TbPlussMerchantImage selectByPrimaryKey(Integer id);
    List<TbPlussMerchantImage> selectByMerchantCode(String merchantCode);
    TbPlussMerchantImage selectByMerchantCodeType(@Param("merchantCode") String merchantCode,@Param("photoType") String photoType);

    int updateByPrimaryKeySelective(TbPlussMerchantImage record);

    int updateByCodeAndType(TbPlussMerchantImage record);

    int updateByPrimaryKey(TbPlussMerchantImage record);
}